/*************************************************************************\
*                  Copyright (C) Jan Murawski, 2012.                      *
*                                                                         *
* This program is free software. You may use, modify, and redistribute it *
* under the terms of the GNU Public License as published                  *
* by the Free Software Foundation, either version 3 or (at your option)   *
* any later version. This program is distributed without any warranty.    *
\*************************************************************************/

#ifndef LOGGER_H
#define	LOGGER_H

#include <stdio.h>
#include <stdlib.h>

class Logger {
public:
    enum logLevel { NORMAL=0, VERBOSE=1 };
    
    static void setLogLevel( enum logLevel );
    static void error(const char *msg);
    static void log(const char *msg);
    static void log(const char *msg, enum logLevel);

    
private:
    
    static enum logLevel level;
};


#endif	/* LOGGER_H */

