/*************************************************************************\
*                  Copyright (C) Jan Murawski, 2012.                      *
*                                                                         *
* This program is free software. You may use, modify, and redistribute it *
* under the terms of the GNU Public License as published                  *
* by the Free Software Foundation, either version 3 or (at your option)   *
* any later version. This program is distributed without any warranty.    *
\*************************************************************************/

#ifndef THREAD_H
#define	THREAD_H

#include <pthread.h>

class Thread
{
   public:
      Thread();
      void start();
      void start_unattanded();
      void wait();
      
    private:
        pthread_t thread;
        static void* entry(void* p);
        static void* entry_unattanded(void* p);
        void* do_start();
        
protected:    
        virtual void execute() =0;

};

#endif	/* THREAD_H */

