/*************************************************************************\
*                  Copyright (C) Jan Murawski, 2012.                      *
*                                                                         *
* This program is free software. You may use, modify, and redistribute it *
* under the terms of the GNU Public License as published                  *
* by the Free Software Foundation, either version 3 or (at your option)   *
* any later version. This program is distributed without any warranty.    *
\*************************************************************************/

#ifndef TUNNELSERVER_H
#define	TUNNELSERVER_H

#include "Thread.h"
#include "Logger.h"



class TunnelServer : public Thread
{
public:
    TunnelServer();

protected:    
    virtual void execute();
        
        
    class Connection : public Thread
    {
    public:
        Connection(int sockfd);
        virtual ~Connection();
    private:
        int tunnelSock, rawSockIn, rawSockOut;
    protected:
        virtual void execute();

    };
        
};


#endif	/* TUNNELSERVER_H */

